org.jbpm.services.api

## Enum RuntimeDataService.EntryType

- java.lang.Object
- - java.lang.Enum<RuntimeDataService.EntryType>
  - - org.jbpm.services.api.RuntimeDataService.EntryType

- All Implemented Interfaces:
    Serializable, Comparable<RuntimeDataService.EntryType>
  Enclosing interface:
    RuntimeDataService

      public static enum RuntimeDataService.EntryType
      extends Enum<RuntimeDataService.EntryType>

  Represents type of node instance log entries.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED`
    `END`
    `ERROR`
    `OBSOLETE`
    `SKIPPED`
    `START`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static RuntimeDataService.EntryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RuntimeDataService.EntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final RuntimeDataService.EntryType START

    - #### END

          public static final RuntimeDataService.EntryType END

    - #### ABORTED

          public static final RuntimeDataService.EntryType ABORTED

    - #### SKIPPED

          public static final RuntimeDataService.EntryType SKIPPED

    - #### OBSOLETE

          public static final RuntimeDataService.EntryType OBSOLETE

    - #### ERROR

          public static final RuntimeDataService.EntryType ERROR

  - ### Method Detail

    - #### values

          public static RuntimeDataService.EntryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuntimeDataService.EntryType c : RuntimeDataService.EntryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuntimeDataService.EntryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.